Subject: bug#14039: Bug in with-fluids semantics

From: Stefan Israelsson Tampe <[email-masked]>
Date: Sat, 23 Mar 2013 20:44:26 +0100

Well yes you can actually. You can change and keep at the same time :-)

I really agree that the current setup is what we got and may have merit
but the problem is I have not find any uses of it. I would be glad to
be wrong here
but you all keep throwing a theoretical argument against it and just don't buy
that until you can say that the semantic is good for this and that. On one side
I may be ignorant and then please give me a hint so that I can learn. Or this
is an indication of people being over theoretical in their argument.
Both things
can be right in my perspective so I'm not overly stupid being
persistent for the
good of the sake (Other than me might be glad to know about these matters)

But the problem is not what we have. My problem is that what I can see
as useful is
not possible in an effective way. The basic problem is that a swap
overwrites memory
that could be kept. And I would prefer that we find a solution where
both semantics can
co-exists in an effective manner.

So I would still consider it a BUG or at least a feature request.

/Stefan

On Sat, Mar 23, 2013 at 8:07 PM, Andy Wingo <[email-masked]> wrote:
> On Sat 23 Mar 2013 11:41, Stefan Israelsson Tampe <[email-masked]> writes:
>
>> The reason is that when the with-fluid returns normally it does a full
>> swap. It should only do half a swap e.g. restore the old value of the
>> fluid and not store the current which is of non use because it can not
>> be reached anymore and it contaminates the continuation k.
>
> That's not how fluids work, semantically: for better (I think) or for
> worse (you think).  We cannot change this.
>
> A
> --
> http://wingolog.org/